#!/usr/bin/env bash

spawn_server() {
  eval $(sionfwd-server bash-defs)
  sionfwd-spawn ${MPIEXEC} ${MPIEXEC_NP} 2 sionfwd-server
}

shutdown_server() {
  ${MPIEXEC} ${MPIEXEC_NP} 1 sionfwd-server shutdown
}

. ./test_parallel.sh
test_parallel sfwd___1 \
  pre_hook:spawn_server \
  post_hook:shutdown_server
